How To Use Old Plugins In Firefox 4 ( Disable Add-ons Compatibility For Plugins And Extensions ) 


24.03.2011

How To Use Old Plugins In Firefox 4 ( Disable Add-ons Compatibility For Plugins And Extensions ) 

The latest version of the web Firefox browser by Mozilla is Firefox 4. It comes with support for GPU hardware acceleration plus various enhancements among others. This upgrade comes with new add-ons, plug-ins and extensions, while old plugins might not be supported in Firefox 4 therefore we are here to tech you how to use old plugins in Firefox 4.

Firefox 4 comes with a system which prevents plugins and add-ons to stop automatically or not to start. All incompatible plugins, add-ons, and extensions will not work because Mozilla considers this a security measure.

Incompatible Add-on

Firefox 4 does not allow incompatible extensions, add-ons or plugins by default but this doesn’t mean that some of them can’t continue working properly in Firefox4.

If you’re asking yourself how to disable and turn off Firefox 4 extensions compatibility here is the how to do it.

Type “about:config” in Firefox 4 into the address bar and hit Enter.

This might void your warranty!” then click on “I’ll be careful, I promise!” button.

Click right on the window, select New -> Boolean.

At the preference name box, enter extensions.checkCompatibility.4.0.

Firefox 4 Compatibility

You need to set the value of “extensions.checkCompatibility.4.0? ” to False.

Now you can re-enable or install incompatible extensions, plug-ins or add-ons.

You need to know and understand that is the risk for the extensions to not work properly in this version of Firefox.

firefox4.install.incompatible.add.ons2

The incompatible / outdated extensions, plug-ins and add-ins may cause an crash immediately after installing or upgrade.

Give it a try and let me know how it went.

Tags: firefox, plugins, extensions, addons, incompatible, compatibility, comes, enter, know, upgrade, click, disable, mozilla, version, preference, into, boolean, name, extensionscheckcompatibility, setthe, address, select, window, careful, ill, value, promise, button, right, void